body {
    margin: 0;
    overflow: hidden;
    background: #000;
    touch-action: none;
    font-family: sans-serif;
    user-select: none;
}

#viewport {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    position: relative;
    touch-action: none;
}


#world {
    position: absolute;
    transform-origin: 0 0;
    will-change: transform;
}

#world.dragging {
    transition: none;
}

.tile {
    width: 256px;
    height: 256px;
    position: absolute;
    opacity: 0;
    transition: opacity .5s ease;
    display: block;
    pointer-events: none;
    -webkit-user-drag: none;
}

.marker {
    position: absolute;
    background: #fff;
    border: 3px solid #00cc66;
    color: #00cc66;
    padding: 6px 12px;
    border-radius: 999px;
    font-weight: bold;
    font-size: 14px;
    white-space: nowrap;
    transform: translate(-50%, -50%);
    cursor: pointer;
    box-shadow: 0 2px 10px rgba(0,0,0,0.5);
    z-index: 5;
    translate: -50% -50% 0; 
    will-change: transform;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    transition: top 2s linear, left 2s linear;
}

.marker.hover {
    transform: translate(-50%, -50%) scale(1.1);
}

.marker.selected {
    transform: translate(-50%, -50%) scale(1.35);
    z-index: 999;

    box-shadow:
        0 0 0 6px rgba(255,255,255,0.15),
        0 0 25px rgba(0, 204, 102, 0.6),
        0 0 60px rgba(0, 204, 102, 0.35);

    filter: brightness(1.15) saturate(1.2);

    animation: markerPop 0.35s cubic-bezier(.2,.9,.2,1), markerPulse 1.6s ease-in-out infinite;
}